الانتقال إلى المحتوى الرئيسي
GET
/api/v1/characters

endpoint تجريبية

هذه endpoint تجريبية وقد تخضع للتغيير.

مجموعة Postman

للمزيد من الأمثلة، يرجى مراجعة مجموعة Postman هذه.

التفويضات

Authorization
string
header
مطلوب

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

معلمات الاستعلام

categories
string[]

Filter by category names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
مثال:
isAdult
enum<string>

Filter by adult content flag

الخيارات المتاحة:
true,
false
مثال:

"false"

isPro
enum<string>

Filter to only show characters using pro models

الخيارات المتاحة:
true,
false
مثال:

"false"

isWebEnabled
enum<string>

Filter to only show web-enabled characters

الخيارات المتاحة:
true,
false
مثال:

"true"

limit
integer
افتراضي:50

Number of characters to return (max: 100)

النطاق المطلوب: 0 < x <= 100
مثال:

50

modelId
string[]

Filter by model ID(s). Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 200
مثال:
offset
integer | null
افتراضي:0

Number of characters to skip for pagination

النطاق المطلوب: x >= 0
مثال:

0

Search characters by name, description, or tags. Hashtag search is supported.

Maximum string length: 200
مثال:

"assistant"

sortBy
enum<string>

Sort results using a supported character discovery mode

الخيارات المتاحة:
featured,
highestRating,
highlyRated,
highlyRatedAndRecent,
imports,
mostRecent,
ratingCount
مثال:

"imports"

sortOrder
enum<string>

Sort order applied to the selected sort mode. Defaults to descending when omitted.

الخيارات المتاحة:
asc,
desc
مثال:

"desc"

tags
string[]

Filter by tag names. Repeat the parameter for multiple values. Comma-separated values are also accepted.

Maximum array length: 20
Maximum string length: 100
مثال:

الاستجابة

OK

data
object[]
مطلوب
object
enum<string>
مطلوب
الخيارات المتاحة:
list